Bug 86716 - Missing text inside embedded flowchart diagram inside "respondus.docx"
Summary: Missing text inside embedded flowchart diagram inside "respondus.docx"
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2014-11-25 22:43 UTC by gadgetpig
Modified: 2019-10-26 02:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
respondus comparison (223.72 KB, image/jpeg)
2014-11-25 22:43 UTC, gadgetpig
Details
respondus.docx test file (75.13 KB, application/zip)
2014-11-25 22:44 UTC, gadgetpig
Details
respondus comparison (223.72 KB, image/jpeg)
2014-11-25 22:49 UTC, gadgetpig
Details
respondus docx file (75.13 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-11-25 22:49 UTC, gadgetpig
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gadgetpig 2014-11-25 22:43:51 UTC
Created attachment 110020 [details]
respondus comparison

There is a known test docx file called "respondus.docx" which is one of the best test files for word docx compatibility.

location is here:

http://respondus.files.wordpress.com/2011/09/respondus-docx-sample-file.docx

Currently LibreOffice writer 4.4 beta1 is unable to render the text inside the diagram box.  I tried enabling msoffice "wordart conversion" within writer tools>options, but nothing changed.

thnx,

gadgetpig
Comment 1 gadgetpig 2014-11-25 22:44:34 UTC
Created attachment 110021 [details]
respondus.docx test file
Comment 2 gadgetpig 2014-11-25 22:49:08 UTC
Created attachment 110022 [details]
respondus comparison
Comment 3 gadgetpig 2014-11-25 22:49:49 UTC
Created attachment 110023 [details]
respondus docx file
Comment 4 Jacques Guilleron 2014-12-06 16:13:41 UTC
Hi gadgetpig,

Thanks to report it,
I reproduce with
LO 4.4.0.0.beta1 Build ID: 9af3d21234aa89dac653c0bd76648188cdeb683e
& Windows 7 Home premium.
I set Status to NEW.

Regards,

Jacques
Comment 5 gadgetpig 2015-01-11 14:04:53 UTC
As of 1/11/2015, confirmed the issue persists with build:

Version: 4.4.0.2
Build ID: a3603970151a6ae2596acd62b70112f4d376b990
Locale: en_US

from http://dev-builds.libreoffice.org/pre-releases/win/x86/
Comment 6 gadgetpig 2015-01-30 17:02:32 UTC
Confirmed issue persists with current fresh release version of LibreOffice 

Version: 4.4.0.3
Build ID: de093506bcdc5fafd9023ee680b8c60e3e0645d7
Locale: en_US
Comment 7 gadgetpig 2015-02-18 01:31:54 UTC
Confirmed issue still persists with LibreOffice writer 4.4.1.1 RC

Version: 4.4.1.1
Build ID: b5ac74bf8683a92078a2bc8aff97d4b436af63cb
Locale: en_US
Comment 8 gadgetpig 2015-03-06 03:02:19 UTC
Confirmed issue still persists with the current stable Fresh release:  
Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: en_US
Comment 9 gadgetpig 2015-03-17 22:31:35 UTC
Confirmed issue still occurs in release candidate:

Version: 4.4.2.1
Build ID: 93fc8832889bf050a10ec6d0171dae213adc9b55
Locale: en_US
Comment 10 gadgetpig 2015-04-19 11:38:55 UTC
Confirmed issue still persists in current 4.4.3.1

Version: 4.4.3.1
Build ID: b2f347f2ac68821efc00b6f1793cda90af748118
Locale: en_U
Comment 11 gadgetpig 2015-07-20 03:15:12 UTC
Confirmed issue still persists with LibreOffice 4.4.4.3:

Version: 4.4.4.3
Build ID: 2c39ebcf046445232b798108aa8a7e7d89552ea8
Locale: en_US
Comment 12 gadgetpig 2016-03-11 14:44:36 UTC
Issue still persists in Version: 5.1.1.3 (x64)
Build ID: 89f508ef3ecebd2cfb8e1def0f0ba9a803b88a6d

Text is missing inside the flowchart object

link to respondus docx file:
https://respondus.files.wordpress.com/2011/09/respondus-docx-sample-file.docx
Comment 13 Telesto 2016-11-29 15:25:56 UTC
Confirming with:
Version: 5.4.0.0.alpha0+ (x64)
Build ID: 7aa2b5a041df8e71a435cccbc79ee13799ec9138
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-11-24_11:40:27
Locale: nl-NL (nl_NL); Calc: CL
Comment 14 gadgetpig 2017-09-20 21:42:16 UTC
Missing text issue still exists with LibreOffice 4.1.2

Version: 5.4.1.2 (x64)
Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
Comment 15 gadgetpig 2017-10-24 00:03:06 UTC
Issue still persists with Version: 5.4.2.2 (x64)
Build ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
CPU threads: 4; OS: Windows 6.19; UI render: default; 
Locale: en-US (en_US); Calc: group
Comment 16 QA Administrators 2018-10-25 03:02:28 UTC Comment hidden (obsolete)
Comment 17 Roman Kuznetsov 2018-10-25 06:54:02 UTC
still repro in

Version: 6.2.0.0.alpha0+
Build ID: cec31fdedd7c94f4ebf903a66456a75867db22b0
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-21_22:54:44
Locale: ru-RU (ru_RU); Calc: threaded
Comment 18 QA Administrators 2019-10-26 02:11:51 UTC
Dear gadgetpig,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug